[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.CreateParams

Ensures the required creation parameters are set for handle creation.

## Declaration

Source position: stdctrls.pp line 801

`protected procedure TCustomEdit.CreateParams(`
`var Params: TCreateParams`
`); override;`

## Arguments

`Params` |  | Creation parameters updated in the method.

## Description

CreateParams is an overridden method used to ensure that the creation parameters for the control are updated to reflect property values in the control instance. CreateParams is called when the handle for the control is create (or re-created).

CreateParams calls the inherited method on entry, and updates the Style flags in Params to include values required for the control. The following edit style flags are included in the method:

ES_AUTOHSCROLL
  Always included in TCustomEdit.
ES_LEFT
  Included when Alignment contains taLeftJustify.
ES_RIGHT
  Included when Alignment contains taRightJustify.
ES_CENTER
  Included when Alignment contains taCenter.
ES_READONLY
  Included when ReadOnly is set to True.
ES_NUMBER
  Included when NumbersOnly is set to True.
ES_NOHIDESEL
  Included when HideSelection is set to False.

## See also

TWinControl.CreateParams |  | Initializes the window creation parameter record with the settings for the control.